Fails with "Unable to find a suitable .mo file" error

Bug #30860 reported by Danilo Piazzalunga on 2006-02-08
6
Affects Status Importance Assigned to Milestone
linda (Ubuntu)
Medium
Paul Sladen

Bug Description

Running linda fails with the following error message:

Linda: Unable to find a suitable .mo file!

Placing a valid .mo file in /usr/share/locale/en/LC_MESSAGES/linda.mo works around the problem.

Confirmed since it affects other Ubuntu systems (e.g. REVU)
Raised severity because the package won't even run

Changed in linda:
status: Unconfirmed → Confirmed

The attached patch changes mygettext.py to make it stop duplicating lots of code from Python's gettext.py, only handling the needed special cases and rely on Python's gettext implementation for everything else.

This patch is an alternative to 01-gettext-langpacks.diff. I believe it can be useful because it could be accepted by Debian.

BTW, I think the improvements in 01-gettext-langpacks.diff should be applied to python2.4's gettext.py.

Paul Sladen (sladen) wrote :

Hello Daniel, please could you confirm the line about:

> Raised severity because the package won't even run

If it's fixed by the '01-gettext-langpacks.diff' patch that's already in there I think the best thing would be to send your patch straight upstream to Debian.

When that's accepted and synched back we can drop the delta-patch.

Changed in linda:
assignee: nobody → sladen
Paul Sladen (sladen) wrote :

Downgrading this until we get confirmation about whether it's actually broken or not.

Changed in linda:
status: Confirmed → Needs Info

It's fixed in linda 0.3.17-0ubuntu1. I will then try sending my patch to the Debian maintainer and wait for his comments.

The bug is fixed since the latest upload.

Changed in linda:
status: Needs Info → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers